Uploaded image for project: 'Alfresco One Platform'
  1. Alfresco One Platform
  2. ACE-2983

Installer signature is not good enough for OSX 10.9.5 Mavericks

    Details

      Description

      Despite our good effort at signing the installer on OSX (see previous episode ACE-2476), the installer keeps complaining... but on OSX 10.9.5 only – which is the version most people have.

      See Apple documentation :

      Beginning with OS X version 10.9.5, there will be changes in how OS X recognizes signed apps. Version 1 signatures created with OS X versions prior to Mavericks will no longer be recognized by Gatekeeper and are considered obsolete.

      Important: For your apps to run on updated versions of OS X they must be signed on OS X version 10.9 or later and thus have a version 2 signature.

      If your team is using an older version of OS X to build your code, re-sign your app using OS X version 10.9 or later using the codesign tool to create version 2 signatures. Apps signed with version 2 signatures will work on older versions of OS X.

      Our Mac Mini is currently running 10.8.5, so we get v1 signatures which are not good enough.

      The current plan is to buy a new Mac Mini - see IT-20841

        Attachments

          Structure

            Activity

              People

              • Assignee:
                closedissues Closed Issues
                Reporter:
                slanglois Samuel Langlois [X] (Inactive)
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Structure Helper Panel